summaryrefslogtreecommitdiff
path: root/dev-python/argcomplete
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/argcomplete
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/argcomplete')
-rw-r--r--dev-python/argcomplete/Manifest2
-rw-r--r--dev-python/argcomplete/argcomplete-3.6.3.ebuild45
-rw-r--r--dev-python/argcomplete/files/argcomplete-3.1.6-timeout.patch21
-rw-r--r--dev-python/argcomplete/metadata.xml10
4 files changed, 78 insertions, 0 deletions
diff --git a/dev-python/argcomplete/Manifest b/dev-python/argcomplete/Manifest
new file mode 100644
index 000000000000..cf051db1054f
--- /dev/null
+++ b/dev-python/argcomplete/Manifest
@@ -0,0 +1,2 @@
+DIST argcomplete-3.6.3.tar.gz 73754 BLAKE2B f910e9a10ce05b87faa58997938c406b9ba51a7f5770ae9d403331a1bef4b669e000bd316c055b8d2cf281ee232b640a300d1e152e0ac9c7619d4bf144fd97f0 SHA512 d07756a8439fd8f30ea2823bbbe35b102c6822af907eed5d43649a378a703d8c20394127a842c9d6ce0af50d333518450d15c29fc3471e178c681ad95fa43a0a
+DIST argcomplete-3.6.3.tar.gz.provenance 9621 BLAKE2B 19ff13f7e1d428bc331daa13002e37d716088642c77f1e748fb344021871179729913eab3639fd160b19e3d04864f45a4e4ccbaddb817348efd216def3e9e644 SHA512 2d40fb2cc0f503558e6ed679bac79c202485e5d2433afb6a2c864f2a491e16e9705f126647e850f95a4a51da62e68e91e17d88dc93e4df006ad6203c8db226bd
diff --git a/dev-python/argcomplete/argcomplete-3.6.3.ebuild b/dev-python/argcomplete/argcomplete-3.6.3.ebuild
new file mode 100644
index 000000000000..920ac48f180a
--- /dev/null
+++ b/dev-python/argcomplete/argcomplete-3.6.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/kislyuk/argcomplete
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Bash tab completion for argparse"
+HOMEPAGE="
+ https://github.com/kislyuk/argcomplete/
+ https://pypi.org/project/argcomplete/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pip is called as an external tool
+# zsh pin: https://github.com/kislyuk/argcomplete/issues/544
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ app-shells/tcsh
+ ~app-shells/zsh-5.9
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pip-19
+ )
+"
+
+PATCHES=(
+ # increase test timeouts -- this is particularly necessary
+ # for entry point tests because they read metadata of all installed
+ # packages which can take real long on systems with lots of packages
+ "${FILESDIR}/argcomplete-3.1.6-timeout.patch"
+)
+
+python_test() {
+ "${EPYTHON}" test/test.py -v || die
+}
diff --git a/dev-python/argcomplete/files/argcomplete-3.1.6-timeout.patch b/dev-python/argcomplete/files/argcomplete-3.1.6-timeout.patch
new file mode 100644
index 000000000000..0b2ac120402e
--- /dev/null
+++ b/dev-python/argcomplete/files/argcomplete-3.1.6-timeout.patch
@@ -0,0 +1,21 @@
+diff --git a/test/test.py b/test/test.py
+index c89912a..eedfe36 100755
+--- a/test/test.py
++++ b/test/test.py
+@@ -1362,4 +1362,4 @@ class TestBashGlobal(TestBash):
+- install_output = self.sh.run_command(command)
++ install_output = self.sh.run_command(command, timeout=300)
+ self.assertEqual(self.sh.run_command("echo $?"), "0\r\n", install_output)
+ command = "test-module"
+ if package:
+@@ -1395,8 +1395,8 @@ class Shell:
+ def run_command(self, command):
+ try:
+ self.child.sendline(r"echo -n \#\#\#; {0}; echo -n \#\#\#".format(command))
+- self.child.expect_exact("###", timeout=5)
+- self.child.expect_exact("###", timeout=5)
++ self.child.expect_exact("###", timeout=30)
++ self.child.expect_exact("###", timeout=30)
+ return self.child.before
+ finally:
+ # Send Ctrl+C in case we get stuck.
diff --git a/dev-python/argcomplete/metadata.xml b/dev-python/argcomplete/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/argcomplete/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>